Package org.springframework.security.web

# Class DefaultSecurityFilterChain

java.lang.Object
org.springframework.security.web.DefaultSecurityFilterChain

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.BeanNameAware`, `SecurityFilterChain`

public final class DefaultSecurityFilterChain extends Object implements SecurityFilterChain, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.BeanFactoryAware
Standard implementation of `SecurityFilterChain`.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`DefaultSecurityFilterChain(RequestMatcher requestMatcher, jakarta.servlet.Filter... filters)`
`DefaultSecurityFilterChain(RequestMatcher requestMatcher, List<jakarta.servlet.Filter> filters)`

## Method Summary

Modifier and Type
Method
Description
`List<jakarta.servlet.Filter>`
`getFilters()`
`RequestMatcher`
`getRequestMatcher()`
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
`void`
`setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void`
`setBeanName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultSecurityFilterChain

public DefaultSecurityFilterChain(RequestMatcher requestMatcher, jakarta.servlet.Filter... filters)

### DefaultSecurityFilterChain

public DefaultSecurityFilterChain(RequestMatcher requestMatcher, List<jakarta.servlet.Filter> filters)

## Method Details

### getRequestMatcher

public RequestMatcher getRequestMatcher()

### getFilters

public List<jakarta.servlet.Filter> getFilters()

Specified by:
  `getFilters` in interface `SecurityFilterChain`

### matches

public boolean matches(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `matches` in interface `SecurityFilterChain`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setBeanName

public void setBeanName(@NonNull String name)

Specified by:
  `setBeanName` in interface `org.springframework.beans.factory.BeanNameAware`

### setBeanFactory

public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory) throws org.springframework.beans.BeansException

Specified by:
  `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
Throws:
  `org.springframework.beans.BeansException`